## ros-foxy-gpsd-client 1.0.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(gpsd_client)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)

find_package(gps_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules (libgps REQUIRED libgps)

add_library(${PROJECT_NAME} SHARED
  src/client.cpp
)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  ${libgps_INCLUDE_DIRS}
)
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "COMPOSITION_BUILDING_DLL"
)
rclcpp_components_register_nodes(${PROJECT_NAME} "gpsd_client::GPSDClientComponent")
target_link_libraries(${PROJECT_NAME}
  ${libgps_LIBRARIES}
)
ament_target_dependencies(${PROJECT_NAME}
  "gps_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
)

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY launch
    DESTINATION share/${PROJECT_NAME}/)

install(DIRECTORY config
    DESTINATION share/${PROJECT_NAME}/)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rclcpp)
ament_export_libraries(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-gpsd-client (1.0.9-1focal) focal; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 08 Jun 2023 05:00:00 -0000

ros-foxy-gpsd-client (1.0.8-1focal) focal; urgency=high

  * Updating authors and maintainers
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 04 Apr 2023 05:00:00 -0000

ros-foxy-gpsd-client (1.0.7-1focal) focal; urgency=high

  * Fixing Exports (#73 <https://github.com/swri-robotics/gps_umd/issues/73>)
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 04 Apr 2023 05:00:00 -0000

ros-foxy-gpsd-client (1.0.6-1focal) focal; urgency=high

  * Fixing Foxy regression (#67 <https://github.com/swri-robotics/gps_umd/issues/67>)
    Addresses https://github.com/swri-robotics/gps_umd/issues/66
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 23 Sep 2022 05:00:00 -0000

ros-foxy-gpsd-client (1.0.5-1focal) focal; urgency=high

  * Cleaner shutdown after unload
  * Fix build issues with gpsd 3.21 and 3.23
  * Fixing build warnings about deprecated API. DISTRIBUTION A. Approved for public release; distribution unlimited. OPSEC #4584 <https://github.com/swri-robotics/gps_umd/issues/4584> (#61 <https://github.com/swri-robotics/gps_umd/issues/61>)
  * Adding debug message to help diagnose failures (#60 <https://github.com/swri-robotics/gps_umd/issues/60>)
  * User configurable publish rate (#58 <https://github.com/swri-robotics/gps_umd/issues/58>)
  * Fix ros2 component topics (#46 <https://github.com/swri-robotics/gps_umd/issues/46>)
  * Contributors: Dave Mohamad, David Anthony, Philip Cheney
  * Updating changelogs
  * Ros2 devel for GPSD 3.21 and 3.22 (#65 <https://github.com/danthony06/gps_umd/issues/65>)
    * Better defaults
    * cleaner shutdown after unload
    * fix build issues with gpsd 3.21 and 3.23
    * Revert "fix build issues with gpsd 3.21 and 3.23"
    This reverts commit eaa7c7870696757d33224a2b969544560552583c.
    * fix build issues with gpsd 3.21 and 3.23
    * Revert "Better defaults"
    This reverts commit c0b66d610128cdcd9855585d8b67055d06e015c8.
  * Fixing build warnings about deprecated API. DISTRIBUTION A. Approved for public release; distribution unlimited. OPSEC #4584 <https://github.com/danthony06/gps_umd/issues/4584> (#61 <https://github.com/danthony06/gps_umd/issues/61>)
  * Adding debug message to help diagnose failures (#60 <https://github.com/danthony06/gps_umd/issues/60>)
  * ros2-devel: user configurable publish rate (#58 <https://github.com/danthony06/gps_umd/issues/58>)
    * Add user configurable publish rate
    * Add demo launch file
    * declare parameters
    * Update gpsd_client-launch.py
    Remove license, use project license
  * Fix ros2 component topics (#46 <https://github.com/danthony06/gps_umd/issues/46>)
    * Fix ros2 component topics
    Emit gps/navsat fix messages on timer tick.
    * Update gpsd_client/src/client.cpp
    Co-authored-by: Sivert Havso <mailto:sivert@havso.net>
    Co-authored-by: David Anthony <mailto:djanthony@gmail.com>
    Co-authored-by: Sivert Havso <mailto:sivert@havso.net>
  * Contributors: Dave Mohamad, David Anthony, Philip Cheney

 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 30 Aug 2022 05:00:00 -0000

ros-foxy-gpsd-client (1.0.4-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Aug 2020 05:00:00 -0000

ros-foxy-gpsd-client (1.0.3-1focal) focal; urgency=high

  * Foxy support (#29 <https://github.com/swri-robotics/gps_umd/issues/29>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-foxy-gpsd-client (1.0.2-1focal) focal; urgency=high

  * Fix for gpsd-3.19 compatibility (#26 <https://github.com/swri-robotics/gps_umd/issues/26>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-foxy-gpsd-client (1.0.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 06:00:00 -0000

ros-foxy-gpsd-client (1.0.0-1focal) focal; urgency=high

  * Support ROS2 (#24 <https://github.com/pjreed/gps_umd/issues/24>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-foxy-gpsd-client (0.3.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Oct 2019 05:00:00 -0000

ros-foxy-gpsd-client (0.2.0-1focal) focal; urgency=high

  * Add include for <cmath> in gpsd_client
  * Add parameter to set frame_id.
  * Contributors: Kris Kozak, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 16 Nov 2017 06:00:00 -0000

ros-foxy-gpsd-client (0.1.9-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-foxy-gpsd-client (0.1.8-1focal) focal; urgency=high

  * Use pre-processor defines to handle different libgps API versions
    Fixes #1 <https://github.com/swri-robotics/gps_umd/issues/1>
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 31 Oct 2016 05:00:00 -0000

ros-foxy-gpsd-client (0.1.7-1focal) focal; urgency=high

  * Fix a segfault when there is no GPS fix: time will be NaN which causes the ROS timestamp message to throw a Boost rounding exception.
  * Contributors: Stuart Alldritt

 -- P. J. Reed <preed@swri.org>  Thu, 08 May 2014 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-gpsd-client
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), libgps-dev, pkg-config, ros-foxy-ament-cmake, ros-foxy-gps-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/gpsd_client
Standards-Version: 3.9.2

Package: ros-foxy-gpsd-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgps-dev, pkg-config, ros-foxy-gps-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: connects to a GPSd server and broadcasts GPS fixes using the NavSatFix message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-gpsd-client//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
